Source Package for Embedded Linux Lab

Command line instructions


1/ Create your GitLab INSA account

https://gitlab.insa-rennes.fr/

Ask Teacher to add you member of group EmbeddedLinux_UDOO-NEO with Maintainer rights

2/ Create your Repo on GitLab INSA

"New Project" button

Choose group "EmbeddedLinux_Group" (drop down menu Project path) 

Name Project like "4CDTI-P2020-<YourName>-LabUdooNeo"

Add your co-worker as developer role (Settings/Menbers)

3/ Create SSH keys for rights access on GitLab INSA account

Open terminal windows on your VM

cmdline : ssh-keygen

Generating public/private rsa key pair.

Enter file in which to save the key (/home/user/.ssh/id_rsa):

Enter passphrase (empty for no passphrase):

Enter same passphrase again:

Your identification has been saved in id_rsa.

Your public key has been saved in id_rsa.pub.

Display your public key : cat ~/.ssh/id_rsa.pub

Copy text and paste it to GitLAB INSA (Profile/Settings/SSH keys)

Zip .ssh folder and send by mail yours keys for future use 

4/ Config your git ID

git config --global user.name "Name SurName"

git config --global user.email "surname.name@insa-rennes.fr"
(info stored in ~/.gitconfig)

5/ Clone Teacher Repo

In terminal window, clone repo in your home

git clone ssh://git@gitlab.insa-rennes.fr:16022/EmbeddedLinux_Group/EmbeddedLinux_UDOO-NEO.git

Go inside folder created : cd EmbeddedLinux_UDOO-NEO

8/ Config origin & remote repo

...

9/ Check modification on your local repo (cd /H/STM32_Peripheral_LAB/MyGitWorkingRepo/)

git status

10/ Submit your LAB codes (cd /H/STM32_Peripheral_LAB/MyGitWorkingFolder)

git add .

git status

11/ Commit your modification when needed

git commit -a -m "message to explain commit content"

or git commit -a

(vim command : 'i' to insert, 'ESC' to leave edit mode, ':wq' to save commit message)

12/ Config & Push your modification on GitLab server

git remote -v

git remote add origin (votre_repo)

git push origin master

13/ Check on GitLab server "new activity"

14/ If Teacher updated repo, 

get modification's historical from remote repo : git fetch origin master

check modifications by : git diff --name-only master origin/master

update (merge) modif by : git pull origin master

!!! Well Done !!!


Command line instructions

Git global setup
git config --global user.name "Bourdel Laurent"
git config --global user.email "laurent.bourdel@insa-rennes.fr"

Create a new repository
git clone ssh://git@gitlab.insa-rennes.fr:16022/Laurent.Bourdel/EmbeddedLinux_UDOO-NEO.git
cd EmbeddedLinux_UDOO-NEO
touch README.md
git add README.md
git commit -m "add README"
git push -u origin master

Existing folder
cd existing_folder
git init
git remote add origin ssh://git@gitlab.insa-rennes.fr:16022/Laurent.Bourdel/EmbeddedLinux_UDOO-NEO.git
git add .
git commit -m "Initial commit"
git push -u origin master

Existing Git repository
cd existing_repo
git remote rename origin old-origin
git remote add origin ssh://git@gitlab.insa-rennes.fr:16022/Laurent.Bourdel/EmbeddedLinux_UDOO-NEO.git
git push -u origin --all
git push -u origin --tags
