
#include <stdio.h>

#include <stdlib.h>
#include <fcntl.h>
#include <string.h>


#define CHUNK 100


void usage(void){
	printf("pass a string as programm argument, programm output its morse reprentation");
}


int main(int argc, char* argv[])
{
  int file;
  int i ;
  int adapter_nr = 0;
  char filename[20];
  char buffer [4001] ;
  
  if(argc < 2 ){
		usage();
		return 0 ;  
  }
  sprintf(filename, "/dev/morse%d", adapter_nr);
  if ( (file = open(filename, O_RDWR)) < 0 )
  {
    exit(1);
  }
  for(i=1; i < argc ; i ++){
	 int index_in_buffer = 0 ;
	 int nb_read = 0 ;
 	 write(file, argv[i],strlen(argv[i]));
	 do{
	 	nb_read = read(file, &buffer[index_in_buffer], CHUNK);
	 	index_in_buffer += nb_read ;
	 }while(nb_read);
	 buffer[index_in_buffer+1]='\0';
	 printf("%s \n", buffer);
  }
  close(file);
  return 0;
}




