#define MORSE_MAJOR 0
#define MORSE_NR_DEVS 1

struct morse_dev {
	struct circular_buffer * data ;  /* Pointer to first data set */
	int data_size ;
	int set_size ;
	unsigned long size;       /* amount of data stored here */
	struct cdev cdev;	  /* Char device structure		*/
};

struct circular_buffer {
	char * buffer ;
	int read_pos ;
	int write_pos ;
	int size ;
};

char * codes []= {
  ".-",
  "-...",
  "-.-.",
  "-..",
  ".",
  "..-.",
  "--.",
  "....",
  "..",
  ".---",
  "-.-",
  ".-..",
  "--",
  "-.",
  "---",
  ".--.",
  "--.-",
  ".-.",
  "...",
  "-",
  "..-",
  "...-",
  ".--",
  "-..-",
  "-.--",
  "--.."
};
